Index: Makefile
===================================================================
--- Makefile	(revision f14bd6a232a0c5f940f327c1f36da027f253ff56)
+++ Makefile	(revision 273e6686a07d03a86d9d25838b441c09754bdc34)
@@ -65,4 +65,45 @@
 
 
+lhco2root$(ExeSuf): \
+	tmp/converters/lhco2root.$(ObjSuf)
+
+tmp/converters/lhco2root.$(ObjSuf): \
+	converters/lhco2root.cpp \
+	modules/Delphes.h \
+	classes/DelphesStream.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	external/ExRootAnalysis/ExRootTreeWriter.h \
+	external/ExRootAnalysis/ExRootTreeBranch.h \
+	external/ExRootAnalysis/ExRootProgressBar.h
+root2pileup$(ExeSuf): \
+	tmp/converters/root2pileup.$(ObjSuf)
+
+tmp/converters/root2pileup.$(ObjSuf): \
+	converters/root2pileup.cpp \
+	classes/DelphesClasses.h \
+	classes/DelphesPileUpWriter.h \
+	external/ExRootAnalysis/ExRootTreeReader.h \
+	external/ExRootAnalysis/ExRootProgressBar.h
+root2lhco$(ExeSuf): \
+	tmp/converters/root2lhco.$(ObjSuf)
+
+tmp/converters/root2lhco.$(ObjSuf): \
+	converters/root2lhco.cpp \
+	classes/DelphesClasses.h \
+	external/ExRootAnalysis/ExRootTreeReader.h \
+	external/ExRootAnalysis/ExRootProgressBar.h
+stdhep2pileup$(ExeSuf): \
+	tmp/converters/stdhep2pileup.$(ObjSuf)
+
+tmp/converters/stdhep2pileup.$(ObjSuf): \
+	converters/stdhep2pileup.cpp \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesSTDHEPReader.h \
+	classes/DelphesPileUpWriter.h \
+	external/ExRootAnalysis/ExRootTreeWriter.h \
+	external/ExRootAnalysis/ExRootTreeBranch.h \
+	external/ExRootAnalysis/ExRootProgressBar.h
 hepmc2pileup$(ExeSuf): \
 	tmp/converters/hepmc2pileup.$(ObjSuf)
@@ -89,45 +130,4 @@
 	external/ExRootAnalysis/ExRootTreeBranch.h \
 	external/ExRootAnalysis/ExRootProgressBar.h
-root2pileup$(ExeSuf): \
-	tmp/converters/root2pileup.$(ObjSuf)
-
-tmp/converters/root2pileup.$(ObjSuf): \
-	converters/root2pileup.cpp \
-	classes/DelphesClasses.h \
-	classes/DelphesPileUpWriter.h \
-	external/ExRootAnalysis/ExRootTreeReader.h \
-	external/ExRootAnalysis/ExRootProgressBar.h
-lhco2root$(ExeSuf): \
-	tmp/converters/lhco2root.$(ObjSuf)
-
-tmp/converters/lhco2root.$(ObjSuf): \
-	converters/lhco2root.cpp \
-	modules/Delphes.h \
-	classes/DelphesStream.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	external/ExRootAnalysis/ExRootTreeWriter.h \
-	external/ExRootAnalysis/ExRootTreeBranch.h \
-	external/ExRootAnalysis/ExRootProgressBar.h
-stdhep2pileup$(ExeSuf): \
-	tmp/converters/stdhep2pileup.$(ObjSuf)
-
-tmp/converters/stdhep2pileup.$(ObjSuf): \
-	converters/stdhep2pileup.cpp \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesSTDHEPReader.h \
-	classes/DelphesPileUpWriter.h \
-	external/ExRootAnalysis/ExRootTreeWriter.h \
-	external/ExRootAnalysis/ExRootTreeBranch.h \
-	external/ExRootAnalysis/ExRootProgressBar.h
-root2lhco$(ExeSuf): \
-	tmp/converters/root2lhco.$(ObjSuf)
-
-tmp/converters/root2lhco.$(ObjSuf): \
-	converters/root2lhco.cpp \
-	classes/DelphesClasses.h \
-	external/ExRootAnalysis/ExRootTreeReader.h \
-	external/ExRootAnalysis/ExRootProgressBar.h
 Example1$(ExeSuf): \
 	tmp/examples/Example1.$(ObjSuf)
@@ -142,19 +142,19 @@
 	external/ExRootAnalysis/ExRootUtilities.h
 EXECUTABLE +=  \
+	lhco2root$(ExeSuf) \
+	root2pileup$(ExeSuf) \
+	root2lhco$(ExeSuf) \
+	stdhep2pileup$(ExeSuf) \
 	hepmc2pileup$(ExeSuf) \
 	pileup2root$(ExeSuf) \
-	root2pileup$(ExeSuf) \
-	lhco2root$(ExeSuf) \
-	stdhep2pileup$(ExeSuf) \
-	root2lhco$(ExeSuf) \
 	Example1$(ExeSuf)
 
 EXECUTABLE_OBJ +=  \
+	tmp/converters/lhco2root.$(ObjSuf) \
+	tmp/converters/root2pileup.$(ObjSuf) \
+	tmp/converters/root2lhco.$(ObjSuf) \
+	tmp/converters/stdhep2pileup.$(ObjSuf) \
 	tmp/converters/hepmc2pileup.$(ObjSuf) \
 	tmp/converters/pileup2root.$(ObjSuf) \
-	tmp/converters/root2pileup.$(ObjSuf) \
-	tmp/converters/lhco2root.$(ObjSuf) \
-	tmp/converters/stdhep2pileup.$(ObjSuf) \
-	tmp/converters/root2lhco.$(ObjSuf) \
 	tmp/examples/Example1.$(ObjSuf)
 
@@ -252,14 +252,14 @@
 tmp/external/ProMC/ProMCStat.pb.$(ObjSuf): \
 	external/ProMC/ProMCStat.pb.$(SrcSuf)
+tmp/external/ProMC/ProMCHeader.pb.$(ObjSuf): \
+	external/ProMC/ProMCHeader.pb.$(SrcSuf)
 tmp/external/ProMC/ProMCDescription.pb.$(ObjSuf): \
 	external/ProMC/ProMCDescription.pb.$(SrcSuf)
-tmp/external/ProMC/ProMCHeader.pb.$(ObjSuf): \
-	external/ProMC/ProMCHeader.pb.$(SrcSuf)
 DELPHES_OBJ +=  \
 	tmp/external/ProMC/ProMCBook.$(ObjSuf) \
 	tmp/external/ProMC/ProMC.pb.$(ObjSuf) \
 	tmp/external/ProMC/ProMCStat.pb.$(ObjSuf) \
-	tmp/external/ProMC/ProMCDescription.pb.$(ObjSuf) \
-	tmp/external/ProMC/ProMCHeader.pb.$(ObjSuf)
+	tmp/external/ProMC/ProMCHeader.pb.$(ObjSuf) \
+	tmp/external/ProMC/ProMCDescription.pb.$(ObjSuf)
 
 ifeq ($(HAS_PYTHIA8),true)
@@ -395,34 +395,41 @@
 	DisplayDict$(PcmSuf)
 
+tmp/classes/DelphesHepMCReader.$(ObjSuf): \
+	classes/DelphesHepMCReader.$(SrcSuf) \
+	classes/DelphesHepMCReader.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesStream.h \
+	external/ExRootAnalysis/ExRootTreeBranch.h
+tmp/classes/DelphesLHEFReader.$(ObjSuf): \
+	classes/DelphesLHEFReader.$(SrcSuf) \
+	classes/DelphesLHEFReader.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesStream.h \
+	external/ExRootAnalysis/ExRootTreeBranch.h
+tmp/classes/DelphesTF2.$(ObjSuf): \
+	classes/DelphesTF2.$(SrcSuf) \
+	classes/DelphesTF2.h
+tmp/classes/DelphesFactory.$(ObjSuf): \
+	classes/DelphesFactory.$(SrcSuf) \
+	classes/DelphesFactory.h \
+	classes/DelphesClasses.h \
+	external/ExRootAnalysis/ExRootTreeBranch.h
+tmp/classes/DelphesFormula.$(ObjSuf): \
+	classes/DelphesFormula.$(SrcSuf) \
+	classes/DelphesFormula.h
+tmp/classes/DelphesSTDHEPReader.$(ObjSuf): \
+	classes/DelphesSTDHEPReader.$(SrcSuf) \
+	classes/DelphesSTDHEPReader.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	external/ExRootAnalysis/ExRootTreeBranch.h
+tmp/classes/DelphesStream.$(ObjSuf): \
+	classes/DelphesStream.$(SrcSuf) \
+	classes/DelphesStream.h
 tmp/classes/DelphesPileUpWriter.$(ObjSuf): \
 	classes/DelphesPileUpWriter.$(SrcSuf) \
 	classes/DelphesPileUpWriter.h
-tmp/classes/DelphesHepMCReader.$(ObjSuf): \
-	classes/DelphesHepMCReader.$(SrcSuf) \
-	classes/DelphesHepMCReader.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesStream.h \
-	external/ExRootAnalysis/ExRootTreeBranch.h
-tmp/classes/DelphesSTDHEPReader.$(ObjSuf): \
-	classes/DelphesSTDHEPReader.$(SrcSuf) \
-	classes/DelphesSTDHEPReader.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	external/ExRootAnalysis/ExRootTreeBranch.h
-tmp/classes/DelphesPileUpReader.$(ObjSuf): \
-	classes/DelphesPileUpReader.$(SrcSuf) \
-	classes/DelphesPileUpReader.h
-tmp/classes/DelphesClasses.$(ObjSuf): \
-	classes/DelphesClasses.$(SrcSuf) \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/SortableObject.h
-tmp/classes/DelphesFormula.$(ObjSuf): \
-	classes/DelphesFormula.$(SrcSuf) \
-	classes/DelphesFormula.h
-tmp/classes/DelphesTF2.$(ObjSuf): \
-	classes/DelphesTF2.$(SrcSuf) \
-	classes/DelphesTF2.h
 tmp/classes/DelphesModule.$(ObjSuf): \
 	classes/DelphesModule.$(SrcSuf) \
@@ -433,31 +440,33 @@
 	external/ExRootAnalysis/ExRootTreeWriter.h \
 	external/ExRootAnalysis/ExRootResult.h
-tmp/classes/DelphesStream.$(ObjSuf): \
-	classes/DelphesStream.$(SrcSuf) \
-	classes/DelphesStream.h
-tmp/classes/DelphesFactory.$(ObjSuf): \
-	classes/DelphesFactory.$(SrcSuf) \
-	classes/DelphesFactory.h \
-	classes/DelphesClasses.h \
-	external/ExRootAnalysis/ExRootTreeBranch.h
-tmp/classes/DelphesLHEFReader.$(ObjSuf): \
-	classes/DelphesLHEFReader.$(SrcSuf) \
-	classes/DelphesLHEFReader.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesStream.h \
-	external/ExRootAnalysis/ExRootTreeBranch.h
-tmp/modules/EnergyScale.$(ObjSuf): \
-	modules/EnergyScale.$(SrcSuf) \
-	modules/EnergyScale.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/Cloner.$(ObjSuf): \
-	modules/Cloner.$(SrcSuf) \
-	modules/Cloner.h \
+tmp/classes/DelphesClasses.$(ObjSuf): \
+	classes/DelphesClasses.$(SrcSuf) \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/SortableObject.h
+tmp/classes/DelphesPileUpReader.$(ObjSuf): \
+	classes/DelphesPileUpReader.$(SrcSuf) \
+	classes/DelphesPileUpReader.h
+tmp/modules/SimpleCalorimeter.$(ObjSuf): \
+	modules/SimpleCalorimeter.$(SrcSuf) \
+	modules/SimpleCalorimeter.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/LeptonDressing.$(ObjSuf): \
+	modules/LeptonDressing.$(SrcSuf) \
+	modules/LeptonDressing.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/Efficiency.$(ObjSuf): \
+	modules/Efficiency.$(SrcSuf) \
+	modules/Efficiency.h \
 	classes/DelphesClasses.h \
 	classes/DelphesFactory.h \
@@ -475,7 +484,25 @@
 	external/ExRootAnalysis/ExRootFilter.h \
 	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/ExampleModule.$(ObjSuf): \
+	modules/ExampleModule.$(SrcSuf) \
+	modules/ExampleModule.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
 tmp/modules/ParticlePropagator.$(ObjSuf): \
 	modules/ParticlePropagator.$(SrcSuf) \
 	modules/ParticlePropagator.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/EnergySmearing.$(ObjSuf): \
+	modules/EnergySmearing.$(SrcSuf) \
+	modules/EnergySmearing.h \
 	classes/DelphesClasses.h \
 	classes/DelphesFactory.h \
@@ -506,4 +533,131 @@
 	external/fastjet/contribs/Nsubjettiness/NjettinessPlugin.hh \
 	external/fastjet/contribs/Nsubjettiness/WinnerTakeAllRecombiner.hh
+tmp/modules/PileUpMergerPythia8.$(ObjSuf): \
+	modules/PileUpMergerPythia8.$(SrcSuf) \
+	modules/PileUpMergerPythia8.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	classes/DelphesPileUpReader.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/StatusPidFilter.$(ObjSuf): \
+	modules/StatusPidFilter.$(SrcSuf) \
+	modules/StatusPidFilter.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/ConstituentFilter.$(ObjSuf): \
+	modules/ConstituentFilter.$(SrcSuf) \
+	modules/ConstituentFilter.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/EnergyScale.$(ObjSuf): \
+	modules/EnergyScale.$(SrcSuf) \
+	modules/EnergyScale.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/TrackCountingBTagging.$(ObjSuf): \
+	modules/TrackCountingBTagging.$(SrcSuf) \
+	modules/TrackCountingBTagging.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h
+tmp/modules/TauTagging.$(ObjSuf): \
+	modules/TauTagging.$(SrcSuf) \
+	modules/TauTagging.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/TimeSmearing.$(ObjSuf): \
+	modules/TimeSmearing.$(SrcSuf) \
+	modules/TimeSmearing.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/Merger.$(ObjSuf): \
+	modules/Merger.$(SrcSuf) \
+	modules/Merger.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/BTagging.$(ObjSuf): \
+	modules/BTagging.$(SrcSuf) \
+	modules/BTagging.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/TreeWriter.$(ObjSuf): \
+	modules/TreeWriter.$(SrcSuf) \
+	modules/TreeWriter.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootTreeBranch.h
+tmp/modules/Weighter.$(ObjSuf): \
+	modules/Weighter.$(SrcSuf) \
+	modules/Weighter.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/PileUpJetID.$(ObjSuf): \
+	modules/PileUpJetID.$(SrcSuf) \
+	modules/PileUpJetID.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/Delphes.$(ObjSuf): \
+	modules/Delphes.$(SrcSuf) \
+	modules/Delphes.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootConfReader.h \
+	external/ExRootAnalysis/ExRootTreeWriter.h
+tmp/modules/ImpactParameterSmearing.$(ObjSuf): \
+	modules/ImpactParameterSmearing.$(SrcSuf) \
+	modules/ImpactParameterSmearing.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
 tmp/modules/Calorimeter.$(ObjSuf): \
 	modules/Calorimeter.$(SrcSuf) \
@@ -515,14 +669,4 @@
 	external/ExRootAnalysis/ExRootFilter.h \
 	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/TreeWriter.$(ObjSuf): \
-	modules/TreeWriter.$(SrcSuf) \
-	modules/TreeWriter.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h \
-	external/ExRootAnalysis/ExRootTreeBranch.h
 tmp/modules/Isolation.$(ObjSuf): \
 	modules/Isolation.$(SrcSuf) \
@@ -544,61 +688,25 @@
 	external/ExRootAnalysis/ExRootFilter.h \
 	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/Efficiency.$(ObjSuf): \
-	modules/Efficiency.$(SrcSuf) \
-	modules/Efficiency.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/ImpactParameterSmearing.$(ObjSuf): \
-	modules/ImpactParameterSmearing.$(SrcSuf) \
-	modules/ImpactParameterSmearing.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/Weighter.$(ObjSuf): \
-	modules/Weighter.$(SrcSuf) \
-	modules/Weighter.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/TauTagging.$(ObjSuf): \
-	modules/TauTagging.$(SrcSuf) \
-	modules/TauTagging.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/PileUpJetID.$(ObjSuf): \
-	modules/PileUpJetID.$(SrcSuf) \
-	modules/PileUpJetID.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/ConstituentFilter.$(ObjSuf): \
-	modules/ConstituentFilter.$(SrcSuf) \
-	modules/ConstituentFilter.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/Merger.$(ObjSuf): \
-	modules/Merger.$(SrcSuf) \
-	modules/Merger.h \
+tmp/modules/TrackPileUpSubtractor.$(ObjSuf): \
+	modules/TrackPileUpSubtractor.$(SrcSuf) \
+	modules/TrackPileUpSubtractor.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/Cloner.$(ObjSuf): \
+	modules/Cloner.$(SrcSuf) \
+	modules/Cloner.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/JetPileUpSubtractor.$(ObjSuf): \
+	modules/JetPileUpSubtractor.$(SrcSuf) \
+	modules/JetPileUpSubtractor.h \
 	classes/DelphesClasses.h \
 	classes/DelphesFactory.h \
@@ -610,60 +718,4 @@
 	modules/PdgCodeFilter.$(SrcSuf) \
 	modules/PdgCodeFilter.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/TrackPileUpSubtractor.$(ObjSuf): \
-	modules/TrackPileUpSubtractor.$(SrcSuf) \
-	modules/TrackPileUpSubtractor.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/JetPileUpSubtractor.$(ObjSuf): \
-	modules/JetPileUpSubtractor.$(SrcSuf) \
-	modules/JetPileUpSubtractor.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/TimeSmearing.$(ObjSuf): \
-	modules/TimeSmearing.$(SrcSuf) \
-	modules/TimeSmearing.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/BTagging.$(ObjSuf): \
-	modules/BTagging.$(SrcSuf) \
-	modules/BTagging.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/Delphes.$(ObjSuf): \
-	modules/Delphes.$(SrcSuf) \
-	modules/Delphes.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h \
-	external/ExRootAnalysis/ExRootConfReader.h \
-	external/ExRootAnalysis/ExRootTreeWriter.h
-tmp/modules/StatusPidFilter.$(ObjSuf): \
-	modules/StatusPidFilter.$(SrcSuf) \
-	modules/StatusPidFilter.h \
 	classes/DelphesClasses.h \
 	classes/DelphesFactory.h \
@@ -684,56 +736,4 @@
 	external/Hector/H_RecRPObject.h \
 	external/Hector/H_BeamParticle.h
-tmp/modules/PileUpMergerPythia8.$(ObjSuf): \
-	modules/PileUpMergerPythia8.$(SrcSuf) \
-	modules/PileUpMergerPythia8.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	classes/DelphesPileUpReader.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/LeptonDressing.$(ObjSuf): \
-	modules/LeptonDressing.$(SrcSuf) \
-	modules/LeptonDressing.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/SimpleCalorimeter.$(ObjSuf): \
-	modules/SimpleCalorimeter.$(SrcSuf) \
-	modules/SimpleCalorimeter.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/EnergySmearing.$(ObjSuf): \
-	modules/EnergySmearing.$(SrcSuf) \
-	modules/EnergySmearing.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/TrackCountingBTagging.$(ObjSuf): \
-	modules/TrackCountingBTagging.$(SrcSuf) \
-	modules/TrackCountingBTagging.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h
-tmp/modules/ExampleModule.$(ObjSuf): \
-	modules/ExampleModule.$(SrcSuf) \
-	modules/ExampleModule.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
 tmp/modules/MomentumSmearing.$(ObjSuf): \
 	modules/MomentumSmearing.$(SrcSuf) \
@@ -745,4 +745,23 @@
 	external/ExRootAnalysis/ExRootFilter.h \
 	external/ExRootAnalysis/ExRootClassifier.h
+tmp/external/ExRootAnalysis/ExRootFilter.$(ObjSuf): \
+	external/ExRootAnalysis/ExRootFilter.$(SrcSuf) \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/external/ExRootAnalysis/ExRootConfReader.$(ObjSuf): \
+	external/ExRootAnalysis/ExRootConfReader.$(SrcSuf) \
+	external/ExRootAnalysis/ExRootConfReader.h \
+	external/tcl/tcl.h
+tmp/external/ExRootAnalysis/ExRootTreeWriter.$(ObjSuf): \
+	external/ExRootAnalysis/ExRootTreeWriter.$(SrcSuf) \
+	external/ExRootAnalysis/ExRootTreeWriter.h \
+	external/ExRootAnalysis/ExRootTreeBranch.h
+tmp/external/ExRootAnalysis/ExRootResult.$(ObjSuf): \
+	external/ExRootAnalysis/ExRootResult.$(SrcSuf) \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootUtilities.h
+tmp/external/ExRootAnalysis/ExRootTreeBranch.$(ObjSuf): \
+	external/ExRootAnalysis/ExRootTreeBranch.$(SrcSuf) \
+	external/ExRootAnalysis/ExRootTreeBranch.h
 tmp/external/ExRootAnalysis/ExRootTreeReader.$(ObjSuf): \
 	external/ExRootAnalysis/ExRootTreeReader.$(SrcSuf) \
@@ -752,56 +771,34 @@
 	external/ExRootAnalysis/ExRootTask.h \
 	external/ExRootAnalysis/ExRootConfReader.h
-tmp/external/ExRootAnalysis/ExRootTreeBranch.$(ObjSuf): \
-	external/ExRootAnalysis/ExRootTreeBranch.$(SrcSuf) \
-	external/ExRootAnalysis/ExRootTreeBranch.h
+tmp/external/ExRootAnalysis/ExRootProgressBar.$(ObjSuf): \
+	external/ExRootAnalysis/ExRootProgressBar.$(SrcSuf) \
+	external/ExRootAnalysis/ExRootProgressBar.h
 tmp/external/ExRootAnalysis/ExRootUtilities.$(ObjSuf): \
 	external/ExRootAnalysis/ExRootUtilities.$(SrcSuf) \
 	external/ExRootAnalysis/ExRootUtilities.h
-tmp/external/ExRootAnalysis/ExRootFilter.$(ObjSuf): \
-	external/ExRootAnalysis/ExRootFilter.$(SrcSuf) \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/external/ExRootAnalysis/ExRootResult.$(ObjSuf): \
-	external/ExRootAnalysis/ExRootResult.$(SrcSuf) \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootUtilities.h
-tmp/external/ExRootAnalysis/ExRootTreeWriter.$(ObjSuf): \
-	external/ExRootAnalysis/ExRootTreeWriter.$(SrcSuf) \
-	external/ExRootAnalysis/ExRootTreeWriter.h \
-	external/ExRootAnalysis/ExRootTreeBranch.h
-tmp/external/ExRootAnalysis/ExRootProgressBar.$(ObjSuf): \
-	external/ExRootAnalysis/ExRootProgressBar.$(SrcSuf) \
-	external/ExRootAnalysis/ExRootProgressBar.h
-tmp/external/ExRootAnalysis/ExRootConfReader.$(ObjSuf): \
-	external/ExRootAnalysis/ExRootConfReader.$(SrcSuf) \
-	external/ExRootAnalysis/ExRootConfReader.h \
-	external/tcl/tcl.h
-tmp/external/fastjet/Voronoi.$(ObjSuf): \
-	external/fastjet/Voronoi.$(SrcSuf) \
-	external/fastjet/internal/Voronoi.hh
-tmp/external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.$(ObjSuf): \
-	external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.$(SrcSuf) \
+tmp/external/fastjet/LazyTiling9SeparateGhosts.$(ObjSuf): \
+	external/fastjet/LazyTiling9SeparateGhosts.$(SrcSuf) \
+	external/fastjet/internal/LazyTiling9SeparateGhosts.hh \
+	external/fastjet/internal/TilingExtent.hh
+tmp/external/fastjet/TilingExtent.$(ObjSuf): \
+	external/fastjet/TilingExtent.$(SrcSuf) \
+	external/fastjet/internal/TilingExtent.hh
+tmp/external/fastjet/Dnn2piCylinder.$(ObjSuf): \
+	external/fastjet/Dnn2piCylinder.$(SrcSuf) \
+	external/fastjet/internal/Dnn2piCylinder.hh
+tmp/external/fastjet/GhostedAreaSpec.$(ObjSuf): \
+	external/fastjet/GhostedAreaSpec.$(SrcSuf) \
+	external/fastjet/GhostedAreaSpec.hh \
+	external/fastjet/Error.hh
+tmp/external/fastjet/ClusterSequenceActiveArea.$(ObjSuf): \
+	external/fastjet/ClusterSequenceActiveArea.$(SrcSuf) \
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/ClusterSequenceActiveArea.hh \
 	external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.hh
-tmp/external/fastjet/CompositeJetStructure.$(ObjSuf): \
-	external/fastjet/CompositeJetStructure.$(SrcSuf)
-tmp/external/fastjet/Dnn4piCylinder.$(ObjSuf): \
-	external/fastjet/Dnn4piCylinder.$(SrcSuf) \
-	external/fastjet/internal/Dnn4piCylinder.hh
-tmp/external/fastjet/LazyTiling25.$(ObjSuf): \
-	external/fastjet/LazyTiling25.$(SrcSuf) \
-	external/fastjet/internal/LazyTiling25.hh \
+tmp/external/fastjet/LazyTiling9.$(ObjSuf): \
+	external/fastjet/LazyTiling9.$(SrcSuf) \
+	external/fastjet/internal/LazyTiling9.hh \
 	external/fastjet/internal/TilingExtent.hh
-tmp/external/fastjet/AreaDefinition.$(ObjSuf): \
-	external/fastjet/AreaDefinition.$(SrcSuf) \
-	external/fastjet/AreaDefinition.hh
-tmp/external/fastjet/ClusterSequencePassiveArea.$(ObjSuf): \
-	external/fastjet/ClusterSequencePassiveArea.$(SrcSuf) \
-	external/fastjet/ClusterSequencePassiveArea.hh \
-	external/fastjet/ClusterSequenceVoronoiArea.hh
-tmp/external/fastjet/ClusterSequence_N2.$(ObjSuf): \
-	external/fastjet/ClusterSequence_N2.$(SrcSuf)
-tmp/external/fastjet/Dnn3piCylinder.$(ObjSuf): \
-	external/fastjet/Dnn3piCylinder.$(SrcSuf) \
-	external/fastjet/internal/Dnn3piCylinder.hh
 tmp/external/fastjet/ClusterSequence_Delaunay.$(ObjSuf): \
 	external/fastjet/ClusterSequence_Delaunay.$(SrcSuf) \
